mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Obsolete System.Runtime.InteropServices.Guid("0000000c-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information, please see the existing documentation for IStream and ISequentialStream in the com subfolder of the MSDN library.

Use instead.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'UCOMIStream&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information, please see the existing documentation for IStream::Commit in the MSDN library.

  Ensures that any changes made to a stream object open in transacted mode are reflected in the parent storage.

  Controls how the changes for the stream object are committed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  For more information, please see the existing documentation for IStream::CopyTo in the MSDN library.

  Copies a specified number of bytes from the current seek pointer in the stream to the current seek pointer in another stream.

  Reference to the destination stream. The number of bytes to copy from the source stream. On successful return, contains the actual number of bytes read from the source. On successful return, contains the actual number of bytes written to the destination.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, please see the existing documentation for IStream::LockRegion in the MSDN library.

  Restricts access to a specified range of bytes in the stream.

  The byte offset for the beginning of the range. The length of the range, in bytes, to restrict. The requested restrictions on accessing the range.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, please see the existing documentation for ISequentialStream::Read in the MSDN library.

  Reads a specified number of bytes from the stream object into memory starting at the current seek pointer.

  On successful return, contains the data read frtom the stream. The number of bytes to read from the stream object. Pointer to a ULONG variable that receives the actual number of bytes read from the stream object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  For more information, please see the existing documentation for IStream::Revert in the MSDN library.

  Discards all changes that have been made to a transacted stream since the last call.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, please see the existing documentation for IStream::Seek in the MSDN library.

  Changes the seek pointer to a new location relative to the beginning of the stream, to the end of the stream, or to the current seek pointer.

  Displacement to add to . Specifies the origin of the seek. The origin can be the beginning of the file, the current seek pointer, or the end of the file. On successful return, contains the offset of the seek pointer from the beginning of the stream.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information, please see the existing documentation for IStream::SetSize in the MSDN library.

  Changes the size of the stream object.

  Specifies the new size of the stream as a number of bytes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added: an object of type 'STATSTG&' To be added: an object of type 'int' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, please see the existing documentation for IStream::UnlockRegion in the MSDN library.

  Removes the access restriction on a range of bytes previously restricted with .

  The byte offset for the beginning of the range. The length, in bytes, of the range to restrict. The access restrictions previously placed on the range.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information, please see the existing documentation for ISequentialStream::Write in the MSDN library.

  Writes a specified number of bytes into the stream object starting at the current seek pointer.

  Buffer to write this stream to. The number of bytes to write into the stream. On successful return, contains the actual number of bytes written to the stream object. The caller can set this pointer to null, in which case this method does not provide the actual number of bytes written.